summaryrefslogtreecommitdiff
path: root/tests/slow/test-ciphers-common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/slow/test-ciphers-common.sh')
-rw-r--r--tests/slow/test-ciphers-common.sh82
1 files changed, 82 insertions, 0 deletions
diff --git a/tests/slow/test-ciphers-common.sh b/tests/slow/test-ciphers-common.sh
new file mode 100644
index 0000000000..e5e2d51ac8
--- /dev/null
+++ b/tests/slow/test-ciphers-common.sh
@@ -0,0 +1,82 @@
+# Copyright (C) 2014 Red Hat, Inc.
+#
+# Author: Nikos Mavrogiannopoulos
+#
+# This file is part of GnuTLS.
+#
+# GnuTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GnuTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GnuTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+unset RETCODE
+if ! test -z "${VALGRIND}"; then
+ VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
+fi
+
+${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "default cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x1 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "included cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x2 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "AESNI cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x4 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "SSSE3 cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x8 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "PCLMUL cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x100000 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "padlock cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x200000 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "padlock PHE cipher tests failed"
+ exit $ret
+fi
+
+GNUTLS_CPUID_OVERRIDE=0x400000 ${PROG}
+ret=$?
+if test $ret != 0; then
+ echo "padlock PHE SHA512 cipher tests failed"
+ exit $ret
+fi
+
+exit 0